OpenJPEG 2.5.2

invert.h File Reference

Implementation of the matrix inversion. More...

Go to the source code of this file.

## Functions
Exported functions
OPJ_BOOL | opj_matrix_inversion_f (OPJ_FLOAT32 *pSrcMatrix, OPJ_FLOAT32 *pDestMatrix, OPJ_UINT32 nb_compo)
| Calculates a n x n double matrix inversion with a LUP method.

## Detailed Description

Implementation of the matrix inversion.

The function in INVERT.H compute a matrix inversion with a LUP method

## Function Documentation

## ◆ opj_matrix_inversion_f()

OPJ_BOOL opj_matrix_inversion_f | ( | OPJ_FLOAT32 * | pSrcMatrix,
|  | OPJ_FLOAT32 * | pDestMatrix,
|  | OPJ_UINT32 | nb_compo )

Calculates a n x n double matrix inversion with a LUP method.

Data is aligned, rows after rows (or columns after columns). The function does not take ownership of any memory block, data must be fred by the user.

Parameters

  pSrcMatrix | the matrix to invert.
  pDestMatrix | data to store the inverted matrix.
  nb_compo | size of the matrix

Returns
  OPJ_TRUE if the inversion is successful, OPJ_FALSE if the matrix is singular.

Calculates a n x n double matrix inversion with a LUP method.

References OPJ_FALSE, opj_free(), opj_lupDecompose(), opj_lupInvert(), opj_malloc(), and OPJ_TRUE.

Referenced by opj_j2k_setup_encoder().